/*
 * @Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
 * @Date: 2021-07-15 12:26:02
 * @LastEditors: wj 1454560336@qq.com
 * @LastEditTime: 2023-12-18 10:56:42
 * @FilePath: \admin-manage\src\api\auth.js
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */
import request from '@/utils/request'

export function refreshToken(data) {
  return request({
    url: '/token',
    method: 'post',
    data
  })
}

// 登录
export function login(data) {
    return request({
        url: '/analystserver/index/login',
        method: 'post',
        data
    })
}


// 修改密码
export function updateLoginPassword(data) {
  return request({
      url: '/analystserver/index/updateLoginPassword',
      method: 'post',
      data
  })
}

// 获取企业列表
export function superadminList(params) {
  return request({
      url: '/analystserver/index/superadminList',
      method: 'get',
      params
  })
}



